Bug 36404 - Acrobat Reader seems to link against zlib
Summary: Acrobat Reader seems to link against zlib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Security Officer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-28 03:00 UTC by Fred
Modified: 2003-07-08 11:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fred 2002-03-28 03:00:02 UTC
 
Acrobat Reader seems to link statically against zlib:

/usr/local/lib/Acrobat4/Reader/intellinux/lib/libreadcore.so.4.0: zlib configuration table, little endian, 32 bit
/usr/local/lib/Acrobat4/Reader/intellinux/lib/libreadcore.so.4.0: zlib inflate table, little endian

This might mean that Acrobat Reader is affected by DSA-122, too.
Comment 1 Kris Kennaway 2002-03-28 03:05:56 UTC
On Wed, Mar 27, 2002 at 06:53:45PM -0800, Fred wrote:

> Acrobat Reader seems to link statically against zlib:

Nothing we can do about that to fix it, I'm afraid..you'll have to bug Adobe.

Kris
Comment 2 Trevor Johnson freebsd_committer 2002-03-28 03:29:19 UTC
Responsible Changed
From-To: freebsd-ports->security-officer

possible security problem
Comment 3 Trevor Johnson 2002-03-28 03:37:37 UTC
Kris Kennaway wrote:

>  Nothing we can do about that to fix it, I'm afraid..you'll have to bug Adobe.

Apart from fixing it, we could mark the Acrobat ports forbidden and issue
an advisory.  I have already requested these things of the Acrobat port
maintainers and the security officer team.
-- 
Trevor Johnson
Comment 4 Fred 2002-03-29 01:43:05 UTC
> ---------- Initial message -----------
> 
> From    : Kris Kennaway <kris@obsecurity.org>
> To      : Fred <sexyfork@nomade.fr>
> Cc      : freebsd-gnats-submit@FreeBSD.org
> Date    : Wed, 27 Mar 2002 19:05:56 -0800
> Subject : Re: ports/36404: Acrobat Reader seems to link against zlib
> 
> On Wed, Mar 27, 2002 at 06:53:45PM -0800, Fred wrote:
> 
> > Acrobat Reader seems to link statically against zlib:
> 
> Nothing we can do about that to fix it, I'm afraid..you'll have to bug Adobe.
> 

I think that the best solution should be remove the port until adobe fix the bug.
-------------------
L'e-mail gratuit pas comme les autres.
Pour cr=E9er votre adresse : http://www.nomade.fr/courrier/ouvrir.asp
NOMADE.FR, pourquoi chercher ailleurs ?
Comment 5 Jun Kuriyama freebsd_committer 2003-07-07 06:52:02 UTC
State Changed
From-To: open->analyzed

Waiting for maintainer's comment.
Comment 6 Jun Kuriyama freebsd_committer 2003-07-07 06:53:37 UTC
Time has passed.  Is it ok to remove this port?
Comment 7 Jun Kuriyama freebsd_committer 2003-07-07 23:56:23 UTC
State Changed
From-To: analyzed->closed

Acroread4 is removed, thanks!
Comment 8 edwin 2003-07-08 10:57:14 UTC
Date: Tue, 8 Jul 2003 05:39:07 -0400 (EDT)
From: Kris Kennaway <kris@8ball.rtp.freebsd.org>
To: ports@FreeBSD.org
Subject: INDEX build failed
   
INDEX build failed with errors:
fpc-1.0.4: "/vol/vol0/users/kris/ports.clean/print/acroread4" non-existent -- dependency list incomplete
instant-workstation-1.0_2: "/vol/vol0/users/kris/ports.clean/print/acroread4" non-existent -- dependency list incomplete
acroread-commfont-1999.7.20: "/vol/vol0/users/kris/ports.clean/print/acroread4" non-existent -- dependency list incomplete

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |    Weblog: http://www.mavetju.org/weblog/weblog.php